#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofBackground(150,150,150); 
	
	
	start = false;	
	bye = false;
	
	startTimer = false;
	yesTime = 0;
	memTimer = 0;
	startTyping = false;
	endTyping = false;
	
	str = "";	
	myFont.loadFont("verdana.ttf",9);
	 
	memories.push_back("vineyard-hopping on the way to stinson beach with em, richard, and alexi - giddy from chardonnay and cheese whiz");
	/*memories.push_back("yoga at sunrise with tim on south beach...feeling centered, staring up at a gorgeous sky at asana"); maybe if a random memory is shared at the end, load more than one during setup
	 memories.push_back("feeling stupefied by miles and miles of poppies during a fam excursion to the antelope valley"); */
	
}

//--------------------------------------------------------------
void testApp::update(){
	
	
}

//--------------------------------------------------------------
void testApp::draw(){

	//ask question
	ofDrawBitmapString("feeling lonely?", 50, 50);
	ofDrawBitmapString("yeah", 100, 100);
	ofDrawBitmapString("nope", 150, 100);

	//if not lonely, cool/see ya
	if (bye == true) {
		ofSetColor(255,255,255);
		ofRect(0,0,1024,768);
		ofSetColor(150,150,150);
		ofDrawBitmapString("cool", 200, 100); 
	}
	
	
	
	//if lonely...


	
		if(start == true) {
		ofSetColor(255,255,255);
		ofDrawBitmapString("sorry to hear...", 50,150);
			}
	
	if(startTimer == true){
		
		
		timeTrack = ofGetElapsedTimef();
		timeTrack = timeTrack - yesTime;
		
		if(timeTrack >= 4) {
		ofDrawBitmapString("think about a fond memory", 100, 200);}
	
		if(timeTrack >= 6) {
		ofDrawBitmapString("what happened?", 150, 230);
		}
		
		if(timeTrack >= 8) {
			ofDrawBitmapString("who else was there?", 200, 260);
		}
	
		if(timeTrack >= 10) {
			ofDrawBitmapString("how did you feel?", 250, 290);
		}
		
		if(timeTrack >= 12) {
			memTimer = timeTrack - 12;
			
			ofDrawBitmapString("close your eyes and take a minute to reflect: ", 100, 340);
			ofDrawBitmapString(ofToString(memTimer, 0) , 480, 340);
		}
		
			
	}

	if(memTimer >= 60) {
		ofDrawBitmapString("tell me about your memory in one sentence... hit enter when you are done", 50, 390);
		startTyping = true;
	}

	
	
	myFont.drawString(str, 100, 440);

	
	
	if(endTyping == true){
		ofSetColor(255,255,255);
		ofRect(0,0,1024,768);
		ofSetColor(150,150,150);
		ofDrawBitmapString("thanks. here's someone else's:", 50, 490);
		
		if(memories.size()>1)
		ofDrawBitmapString(memories[memories.size()-2], 100,540);
		
	}
	
}
//--------------------------------------------------------------
void testApp::keyPressed(int key){

	
	
	if(startTyping==true){	
	
	if(key==8 && str.size()>0) {
		str = str.substr(0, str.size()-1);
	} else
		
	{
		str.append (1, (char)key);}
		
	if(key==OF_KEY_RETURN) {
		memories.push_back(str);
		endTyping = true;}	
	}
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
	
	click.set(x, y);

	if(click.x>=70 && click.x<=130 && click.y>=70 && click.y<=130){
		
		start = true;
		yesTime = ofGetElapsedTimef();
		startTimer = true;
		timeTrack = 0;
	
	} 
	
	if(click.x>=131 && click.x<=180 && click.y>=70 && click.y<=130){
		
		bye = true;
		
	}
	
	
	
	
	
	}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

